Package org.silverpeas.components.classifieds.notification

# Class AbstractClassifiedUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<ClassifiedDetail>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>
org.silverpeas.components.classifieds.notification.AbstractClassifiedUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

Direct Known Subclasses:
  `ClassifiedOwnerNotification`, `ClassifiedSimpleNotification`, `ClassifiedSubscriptionUserNotification`, `ClassifiedSupervisorUserNotification`, `ClassifiedValidationUserNotification`

public abstract class AbstractClassifiedUserNotification extends org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractClassifiedUserNotification(ClassifiedDetail resource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getComponentInstanceId()`
  `protected String`
  `getContributionAccessLinkLabelBundleKey()`
  `protected String`
  `getLocalizationBundlePath()`
  `protected String`
  `getResourceURL(ClassifiedDetail resource)`
  `protected String`
  `getSender()`
  `protected String`
  `getTemplatePath()`
  `protected void`
  `performNotificationResource(String language, ClassifiedDetail resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)`
  `protected void`
  `performTemplateData(String language, ClassifiedDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getAction, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractClassifiedUserNotification

    public AbstractClassifiedUserNotification(ClassifiedDetail resource)

- ## Method Details

  - ### getLocalizationBundlePath

    protected String getLocalizationBundlePath()
    Overrides:
      `getLocalizationBundlePath` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getTemplatePath

    protected String getTemplatePath()
    Specified by:
      `getTemplatePath` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`

  - ### performTemplateData

    protected void performTemplateData(String language, ClassifiedDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)
    Specified by:
      `performTemplateData` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`

  - ### performNotificationResource

    protected void performNotificationResource(String language, ClassifiedDetail resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)
    Specified by:
      `performNotificationResource` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`

  - ### getResourceURL

    protected String getResourceURL(ClassifiedDetail resource)
    Overrides:
      `getResourceURL` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<ClassifiedDetail>`

  - ### getComponentInstanceId

    protected String getComponentInstanceId()
    Specified by:
      `getComponentInstanceId` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getSender

    protected String getSender()
    Specified by:
      `getSender` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getContributionAccessLinkLabelBundleKey

    protected String getContributionAccessLinkLabelBundleKey()
    Overrides:
      `getContributionAccessLinkLabelBundleKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`